# Interface_InterfaceModel.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_Interface_InterfaceModel.hxx>`
`#include <TColStd_IndexedMapOfTransient.hxx>`
`#include <Interface_DataMapOfIntegerTransient.hxx>`
`#include <Handle_Interface_Check.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Handle_TCollection_HAsciiString.hxx>`
`#include <Handle_Interface_GTool.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_Interface_Protocol.hxx>`
`#include <Standard_Integer.hxx>`
`#include <Handle_Standard_Transient.hxx>`
`#include <Handle_Standard_Type.hxx>`
`#include <Standard_CString.hxx>`
`#include <Interface_DataState.hxx>`
`#include <Handle_Interface_ReportEntity.hxx>`
`#include <Handle_Message_Messenger.hxx>`
`#include <Handle_TColStd_HSequenceOfHAsciiString.hxx>`